Summary:	Command line tool to read the EXIF data from JPEG, RAW, etc
Name:		Image-ExifTool
Version:	5.53
Release:	1mdk
License:	GPL or Artistic
Group:		Graphics

Source:		http://www.sno.phy.queensu.ca/%7Ephil/exiftool/%{name}-%{version}.tar.bz2

Url:		http://www.sno.phy.queensu.ca/~phil/exiftool/
Requires:	perl-doc
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch

%description
ExifTool is a highly customizable Perl script that extracts EXIF,
IPTC, XMP, GPS, GeoTIFF, ICC Profile and Photoshop IRB meta
information from JPG, TIFF, GIF, CRW, THM, CR2, MRW, NEF and DNG
images. ExifTool also extracts information from the maker notes of
many digital cameras by various manufacturers including Canon, Casio,
FujiFilm, Minolta/Konica-Minolta, Nikon, Olympus/Epson,
Panasonic/Leica, Pentax/Asahi, Sanyo and Sigma/Foveon.

NEW: ExifTool now also has the ability to edit EXIF, IPTC and XMP meta
information in JPEG, TIFF, GIF, THM, CR2, NEF and DNG images. When a
file is written, the original file is saved with "_original" added to
the file name. Be sure to verify that the new file is OK before
erasing the original version. Read here for some ramblings on the
subject of writing meta information.  Features

    * powerful, fast, and easy to use
    * reads EXIF, IPTC, XMP, GPS, GeoTIFF, ICC Profile and Photoshop
      IRB records
    * writes EXIF, IPTC and XMP information
    * reads maker notes for many digital cameras
    * highly customizable, can extract exactly what you want
    * scans entire directory trees
    * easy to add support for new camera types by editing ExifTool modules
    * option to create text output file for each image file
    * extracts thumbnail images
    * extracts JPG image from Canon CRW files
    * extracts large preview from Canon, Casio, Minolta, Nikon and Pentax
      images
    * ability to organize output into groups 

Writer Limitations

    * ExifTool will not rewrite a file if it detects a problem with
      the file format.
    * ExifTool does not yet properly copy the preview image if it
      exists. (Note: this is different than the thumnail image, which
      should be copied properly. There is no standard for how the
      preview image is stored, and each manufacturer has a different
      technique.) So be aware that you will lose the preview image if
      you edit meta information with ExifTool (this will also happen
      with any other editing software I've seen). I will attempt to
      fix this limitation with a future release.
    * ExifTool has been tested with a wide range of different images,
      but since it is not possible to test it with every known image
      type, there is the possibility that it will corrupt some
      files. Be sure to keep backups of your files.
    * ExifTool does not thoroughly check the values of the information
      being written, so it is possible to write illegal values which
      may cause problems when reading the images with other
      software. So take care to verify the information you are
      writing.


%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
%makeinstall_std

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc Changes README 
%_bindir/*
%_libdir/perl*/*/*/*/*
%_mandir/man*/*

%changelog
* Wed Aug  3 2005 Till Kamppeter <till@mandrakesoft.com> 5.53-1mdk
- Updated to version 5.53.
- Added "Requires perl-doc" (bug 15959).

* Thu Apr 21 2005 Till Kamppeter <till@mandrakesoft.com> 5.05-1mdk
- Updated to version 5.05.

* Sat Mar  5 2005 Till Kamppeter <till@mandrakesoft.com> 4.73-1mdk
- Updated to version 4.73.

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 4.36-1mdk
- Updated to version 4.36
- Install in vendor location
- remove MANIFEST from docs
- Fix licence

* Fri Jan 21 2005 Till Kamppeter <till@mandrakesoft.com> 4.33-1mdk
- Updated to version 4.33.

* Mon Jan 10 2005 Till Kamppeter <till@mandrakesoft.com> 4.14-1mdk
- Updated to version 4.14.

* Sun Jan  9 2005 Till Kamppeter <till@mandrakesoft.com> 4.11-1mdk
- Updated to version 4.11.

* Sat Jan  8 2005 Till Kamppeter <till@mandrakesoft.com> 4.10-1mdk
- Updated to version 4.10 (Now it can also write EXIF data).

* Thu Nov 11 2004 Till Kamppeter <till@mandrakesoft.com> 3.80-1mdk
- Initial release
